package com.lockscreen.onelock

import android.annotation.TargetApi
import android.os.Build
import android.os.Bundle
import android.support.v7.app.AppCompatActivity
import android.view.KeyEvent
import android.view.MotionEvent
import android.widget.Toast
import com.dotools.umlibrary.UMPostUtils
import com.sydt.lock.LockNow


class NewLockActivity : AppCompatActivity() {
    @TargetApi(Build.VERSION_CODES.N)
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        LockNow.getInstance(this).setBreakLockLinstener {
            UMPostUtils.onEvent(this, "screenoff_10s_fingerprint_click")
        }
        LockNow.getInstance(this).init()
        if (!LockNow.getInstance(this).lockNow70()) {
            Toast.makeText(this, "锁屏出现错误", Toast.LENGTH_SHORT).show()
            finish()
        }
    }

    override fun onResume() {
        super.onResume()
        UMPostUtils.onActivityResume(this)
    }

    @TargetApi(Build.VERSION_CODES.N)
    override fun onPause() {
        super.onPause()
        UMPostUtils.onActivityPause(this)
        LockNow.getInstance(this).onPause()
    }

    @TargetApi(Build.VERSION_CODES.N)
    override fun onStop() {
        super.onStop()
        LockNow.getInstance(this).onStop()
    }

    @TargetApi(Build.VERSION_CODES.N)
    override fun onDestroy() {
        super.onDestroy()
        LockNow.getInstance(this).onDestroy()
    }

    @TargetApi(Build.VERSION_CODES.N)
    override fun onKeyDown(keyCode: Int, event: KeyEvent?): Boolean {
        return LockNow.getInstance(this).onKeyDown(keyCode, event)
    }

    @TargetApi(Build.VERSION_CODES.N)
    override fun onTouchEvent(event: MotionEvent?): Boolean {
        return LockNow.getInstance(this).onTouchEvent(event)
    }
}

